求助,如何平顺升级版本

Blade 未结 2 127
靓仔
靓仔 剑者 2021-04-13 16:44

一、该问题的重现步骤是什么?

1. 如果在Blade某一个版本上面做开发如(1.0),后续如果贵公司升级到(5.0),而我已经在1.0上面弄了自己的业务,想问一下这种情况如何平顺升级才不会报错同时还能拥有5.0的功能

2. 

3.


二、你期待的结果是什么?实际看到的又是什么?


三、你正在使用的是什么产品,什么版本?在什么操作系统上?


四、请提供详细的错误堆栈信息,这很重要。


五、若有更多详细信息,请在下面提供。

2条回答
  • 看下这两章的文档

    YOUVRI_S02E14@I%LGQY7`S.png

    0 讨论(0)
  • 业务代码写在bladex-biz工程,核心工程bladex不要改动跟着版本更新。

    这样的话后面业务代码基本都不需要有改动,直接改版本号就行了。如果修改了bladex,那需要把修改的地方都记住,后续升级bladex相对注意这块就行。

    作者追问:2021-04-14 09:14

    你好,我们这边是使用boot版本的

    作者追问:2021-04-14 16:55

    那就把业务代码单独分一个包出来,主工程的内容不去改动就行,这个做法和biz是差不多的思路

    0 讨论(0)
提交回复